Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Alexis Ballier (aballier)" <aballier@g.o>
Subject: gentoo-x86 commit in media-sound/sonic-visualiser: sonic-visualiser-1.2.ebuild ChangeLog
Date: Sun, 13 Apr 2008 23:04:58 +0000
aballier    08/04/13 23:04:58

  Modified:             sonic-visualiser-1.2.ebuild ChangeLog
  Log:
  libfishsound isnt mandatory and already controlled by the ogg useflag, allow split qt4 deps
  (Portage version: 2.1.5_rc3)

Revision  Changes    Path
1.2                  media-sound/sonic-visualiser/sonic-visualiser-1.2.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/sonic-visualiser/sonic-visualiser-1.2.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/sonic-visualiser/sonic-visualiser-1.2.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/sonic-visualiser/sonic-visualiser-1.2.ebuild?r1=1.1&r2=1.2

Index: sonic-visualiser-1.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/sonic-visualiser/sonic-visualiser-1.2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sonic-visualiser-1.2.ebuild	28 Feb 2008 09:42:45 -0000	1.1
+++ sonic-visualiser-1.2.ebuild	13 Apr 2008 23:04:58 -0000	1.2
@@ -1,6 +1,8 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/sonic-visualiser/sonic-visualiser-1.2.ebuild,v 1.1 2008/02/28 09:42:45 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/sonic-visualiser/sonic-visualiser-1.2.ebuild,v 1.2 2008/04/13 23:04:58 aballier Exp $
+
+EAPI=1
 
 inherit eutils qt4
 
@@ -13,7 +15,8 @@
 KEYWORDS="~amd64 ~x86"
 IUSE="fftw id3tag jack mad ogg"
 
-RDEPEND="$(qt4_min_version 4.3)
+RDEPEND="|| ( ( x11-libs/qt-core:4  x11-libs/qt-gui:4 )
+				>=x11-libs/qt-4.3:4 )
 	media-libs/libsndfile
 	media-libs/libsamplerate
 	fftw? ( =sci-libs/fftw-3* )
@@ -23,7 +26,6 @@
 	media-libs/liblrdf
 	media-libs/ladspa-sdk
 	media-libs/liblo
-	media-libs/libfishsound
 	media-libs/speex
 	media-libs/vamp-plugin-sdk
 	media-libs/rubberband



1.5                  media-sound/sonic-visualiser/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/sonic-visualiser/ChangeLog?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/sonic-visualiser/ChangeLog?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/sonic-visualiser/ChangeLog?r1=1.4&r2=1.5

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/sonic-visualiser/ChangeLog,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- ChangeLog	21 Mar 2008 22:58:21 -0000	1.4
+++ ChangeLog	13 Apr 2008 23:04:58 -0000	1.5
@@ -1,6 +1,11 @@
 # ChangeLog for media-sound/sonic-visualiser
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/sonic-visualiser/ChangeLog,v 1.4 2008/03/21 22:58:21 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/sonic-visualiser/ChangeLog,v 1.5 2008/04/13 23:04:58 aballier Exp $
+
+  13 Apr 2008; Alexis Ballier <aballier@g.o>
+  sonic-visualiser-1.2.ebuild:
+  libfishsound isnt mandatory and already controlled by the ogg useflag,
+  allow split qt4 deps
 
   21 Mar 2008; Alexis Ballier <aballier@g.o>
   -files/sonic-visualiser-1.0-loarg.patch, -sonic-visualiser-1.0.ebuild:



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-arch/unzip: unzip-5.52-r2.ebuild
Next by thread:
portage r9879 - main/trunk/pym/_emerge
Previous by date:
gentoo-x86 commit in app-arch/unzip: unzip-5.52-r2.ebuild
Next by date:
gentoo-x86 commit in mail-mta/postfix: ChangeLog postfix-2.4.5.ebuild


Updated Aug 25, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.